using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Request.OrganizationUser;

namespace GxPress.Repository.Interface.Organization
{
    public interface IOrganizationUserRepository : IRepository
    {
        Task<PagedList<Entity.tede2.Organization.OrganizationUser>> GetSearchAllAsync(OrganizationUserSearchRequest request);
        Task<bool> UpdateAsync(OrganizationUserUpdateRequest request);

        Task<bool> InsertAsync(Entity.tede2.Organization.OrganizationUser model);
        Task<IEnumerable<Entity.tede2.Organization.OrganizationUser>> GetAllAsync(List<int> ids);
        Task<bool> DeleteAsync(List<int> ids);
        Task<bool> UpdateDisableAsync(OrganizationUserDisableUpdateRequest request);
    }
}